<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once "../../subheader.php";
require_once "../../side_left.php";

//Lokale styles - ikke hentet fra stylesheet
$blog_color_1 = "#EFEFEF";
$blog_color_2 = "#EFEFEF";

echo "<head>
<style type=\"text/css\">
<!--
.blog-body {
	background-color:".$blog_color_1.";
	height:6px;
	padding:8px 8px 8px 8px;
	color:#1C1C1C;
	font-size:11px;
}
.blog-header {
	background-color:".$blog_color_2.";
	height:10px;
	padding:6px 6px 6px 6px;
	color:#1C1C1C;
	font-size:12px;
}
-->
</style>
</head>";

if (file_exists(INFUSIONS."weblog/locale/".$settings['locale'].".php")) {
	include INFUSIONS."weblog/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."weblog/locale/English.php";
}

//Start p siden
opentable($locale['BL103']);

//Funktion til dannelse af weblog-teksten
function render_blog($b_subject, $blog, $b_info) {

global $locale;

	echo "<table class='news-border' border='0' cellspacing='2' width='100%' cellpadding='1'><tr>";
	echo "<td class='blog-header'>$b_subject</td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'><tr>";
	echo "<td><table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='blog-body'>$blog</td></tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='news-footer'>";
	echo "".$locale['040']."<a href='profile.php?lookup=".$b_info['user_id']."'>".$b_info['user_name']."</a> ";
	echo "".$locale['041'].showdate("longdate", $b_info['blog_date'])." </td>";
	echo "<td height='24' align='right' class='news-footer'>";
	echo "".($b_info['news_ext'] == "y" ? "<a href='news.php?readmore=".$b_info['blog_id']."'>".$locale['042']."</a> \n" : "")."";
	if ($b_info['blog_allow_comments'])
	echo "<a href='blog.php?readmore=".$b_info['blog_id']."'>".$b_info['blog_comments'].$locale['043']."</a>  ";
	echo "".$b_info['blog_reads'].$locale['044']." ";
	echo "<a href='print.php?type=B&item_id=".$b_info['blog_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' border='0' style='vertical-align:middle;'></a>";
	echo "</td></tr></table></td></tr></table>\n";
}

if (!isset($readmore)) {
	$rows = dbcount("(blog_id)", "blog", groupaccess('blog_visibility')." AND (blog_start='0'||blog_start<=".time().") AND (blog_end='0'||blog_end>=".time().")");
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) {
		$i = 1;
		$result = dbquery(
			"SELECT tn.*, user_id, user_name FROM ".$db_prefix."blog tn
			LEFT JOIN ".$db_prefix."users tu ON tn.blog_name=tu.user_id
			WHERE ".groupaccess('blog_visibility')." AND (blog_start='0'||blog_start<=".time().") AND (blog_end='0'||blog_end>=".time().")
			ORDER BY blog_datestamp DESC LIMIT $rowstart,10"
		);		
		$numrows = dbrows($result);
		while ($data = dbarray($result)) {
			$blog_subject = "<a name='".$data['blog_id']."'></a>".stripslashes($data['blog_subject']);
			$blog = stripslashes($data['blog_text']);
			if ($data['blog_breaks'] == "y") $blog = nl2br($blog);
			$blog_info = array(
				"blog_id" => $data['blog_id'],
				"user_id" => $data['user_id'],
				"user_name" => $data['user_name'],
				"blog_date" => $data['blog_datestamp'],
				"blog_reads" => $data['blog_reads'],
				"blog_comments" => dbcount("(comment_id)", "comments", "comment_type='B' AND comment_item_id='".$data['blog_id']."'"),
				"blog_allow_comments" => $data['blog_allow_comments']
			);
			render_blog($blog_subject, $blog, $blog_info);
			if ($i != $numrows) { tablebreak(); } $i++;
		}
		echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3)."\n</div>\n";
	} else {
		echo "<center><br>\n".$locale['BL104']."<br><br>\n</center>\n";
		closetable();
	}
} else {
	if (!isNum($readmore)) fallback(FUSION_SELF);
	include INCLUDES."comments_include.php";
	include INCLUDES."ratings_include.php";
	$result = dbquery(
		"SELECT tn.*, user_id, user_name FROM ".$db_prefix."blog tn
		LEFT JOIN ".$db_prefix."users tu ON tn.blog_name=tu.user_id
		WHERE blog_id='$readmore'"
	);
	if (dbrows($result)!=0) {
		$data = dbarray($result);
		if (checkgroup($data['blog_visibility'])) {
			if (!isset($_POST['post_comment']) && !isset($_POST['post_rating'])) {
				 $result2 = dbquery("UPDATE ".$db_prefix."blog SET blog_reads=blog_reads+1 WHERE blog_id='$readmore'");
				 $data['blog_reads']++;
			}
			$blog_subject = $data['blog_subject'];
			$blog_text = stripslashes($data['blog_extended'] ? $data['blog_extended'] : $data['blog_text']);
			if ($data['blog_breaks'] == "y") { $blog_text = nl2br($blog_text); }
			$blog_info = array(
				"blog_id" => $data['blog_id'],
				"user_id" => $data['user_id'],
				"user_name" => $data['user_name'],
				"blog_date" => $data['blog_datestamp'],
				"blog_ext" => "n",
				"blog_reads" => $data['blog_reads'],
				"blog_comments" => dbcount("(comment_id)", "comments", "comment_type='B' AND comment_item_id='".$data['blog_id']."'"),
				"blog_allow_comments" => $data['blog_allow_comments']
			);
			render_blog($blog_subject, $blog_text, $blog_info);
			if ($data['blog_allow_comments']) showcomments("B","blog","blog_id",$readmore,FUSION_SELF."?readmore=$readmore");
			if ($data['blog_allow_ratings']) showratings("B",$readmore,FUSION_SELF."?readmore=$readmore");
		} else {
			redirect(FUSION_SELF);
		}
	} else {
		redirect(FUSION_SELF);
	}
}

closetable();
require_once "../../side_right.php";
require_once "../../footer.php";
?>
